Bug 4017 - rsync 2.6.8: "unexpected tag 3 [sender]"
rsync 2.6.8: "unexpected tag 3 [sender]"
Status: CLOSED FIXED
Product: rsync
Classification: Unclassified
Component: core
2.6.8
x64 Linux
: P3 major
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-13 18:05 UTC by H. Peter Anvin
Modified: 2015-06-24 19:38 UTC (History)
0 users

See Also:


Attachments
spam (5.39 KB, text/plain)
2015-06-24 17:08 UTC, Alice
wayned: review-
Details

Note You need to log in before you can comment on or make changes to this bug.
Description H. Peter Anvin 2006-08-13 18:05:57 UTC
We have had serious issues with rsync reporting "unexpected tag 3 [sender]" since upgrading to 2.6.8.  I applied the patch described in:

http://www.mail-archive.com/rsync@lists.samba.org/msg16205.html

... but now we get this error message just uploading (push upload to rsync server) from 2.6.8-patched to 2.6.8-patched!
Comment 1 Wayne Davison 2006-09-17 18:32:43 UTC
Use the updated version of the patch from the reply to the message you cited:

http://www.mail-archive.com/rsync@lists.samba.org/msg16405.html

That's the official fix that is now in CVS.  The tag-3 error is not possible with that patch.  (Feel free to try out the CVS version, perhaps using one of the nightly tar files as an easy way to grab the source.)
Comment 2 Alice 2015-06-24 17:08:24 UTC
Created attachment 11193 [details]
spam